View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001195aMuleUtilitiespublic2007-11-05 12:362007-11-18 14:33
Reporter604e 
Assigned ToWuischke 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1.3 
Target VersionFixed in Version 
Summary0001195: KAD searching broken in amulecmd
Descriptionamulecmd doesn't seem to parse the search type correctly so it always tries to search ED2K:

aMulecmd$ search kad b0rken
 > Request failed with the following error: ED2K search can't be done if ED2K is not connected
TagsNo tags attached.
Fixed in Revision
Operating SystemLinux (probably all)
Attached Files

- Relationships

-  Notes
(0002436)
604e (reporter)
2007-11-05 16:18

Seems that lines 407 and 409 in src/TextClient.cpp are simply superfluous. IMBW but I don't see how checking for EC_SEARCH_GLOBAL/_LOCAL would make any sense with Kademlia anyway. Just patched it and it seems to work fine so far:

407,409c407
< if (search_type != EC_SEARCH_GLOBAL && search_type != EC_SEARCH_LOCAL){
< search_type = EC_SEARCH_KAD;
< }
---
> search_type = EC_SEARCH_KAD;
(0002438)
mr_hyde (reporter)
2007-11-13 00:51

Probably is the same problem of 0001199
(0002458)
Wuischke (manager)
2007-11-18 14:33

This is probably fixed, please see http://bugs.amule.org/view.php?id=0001199 [^] .

- Issue History
Date Modified Username Field Change
2007-11-05 12:36 604e New Issue
2007-11-05 12:36 604e Operating System => Linux (probably all)
2007-11-05 16:18 604e Note Added: 0002436
2007-11-13 00:51 mr_hyde Note Added: 0002438
2007-11-13 00:52 mr_hyde Note Added: 0002439
2007-11-13 00:57 mr_hyde Note Deleted: 0002439
2007-11-18 14:33 Wuischke Status new => resolved
2007-11-18 14:33 Wuischke Resolution open => fixed
2007-11-18 14:33 Wuischke Assigned To => Wuischke
2007-11-18 14:33 Wuischke Note Added: 0002458


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker